Bug 727056 - Restore failure
Summary: Restore failure
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: duplicity
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-01 07:58 UTC by Dirk Foerster
Modified: 2012-01-11 08:01 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-01-11 06:07:21 UTC


Attachments (Terms of Use)
Log (2.45 KB, application/octet-stream)
2011-08-01 07:58 UTC, Dirk Foerster
no flags Details

Description Dirk Foerster 2011-08-01 07:58:51 UTC
Created attachment 516085 [details]
Log

Description of problem:
Restoring data fails.

Version-Release number of selected component (if applicable):
duplicity-0.6.14-1.fc15.x86_64

How reproducible:
Either via deja dup  or $ deja-dup --restore /home/dfrster

Steps to Reproduce:
1.Either via deja dup  or $ deja-dup --restore /home/dfrster
2.
3.
  
Actual results:
Restoring data fails.

Expected results:
Successful data restore.

Additional info:

Comment 1 Dirk Foerster 2011-08-07 20:20:05 UTC
# rpm -q duplicity
duplicity-0.6.14-1.fc15.x86_64


Traceback (most recent call last):
  File "/usr/bin/duplicity", line 1311, in <module>
    with_tempdir(main)
  File "/usr/bin/duplicity", line 1304, in with_tempdir
    fn()
  File "/usr/bin/duplicity", line 1238, in main
    restore(col_stats)
  File "/usr/bin/duplicity", line 569, in restore
    restore_get_patched_rop_iter(col_stats)):
  File "/usr/lib64/python2.7/site-packages/duplicity/patchdir.py", line 521, in Write_ROPaths
    for ropath in rop_iter:
  File "/usr/lib64/python2.7/site-packages/duplicity/patchdir.py", line 494, in integrate_patch_iters
    final_ropath = patch_seq2ropath( normalize_ps( patch_seq ) )
  File "/usr/lib64/python2.7/site-packages/duplicity/patchdir.py", line 461, in patch_seq2ropath
    assert first.difftype != "diff", patch_seq
AssertionError: [(('.ICEauthority',) reg), (('.ICEauthority',) reg), (('.ICEauthority',) reg), (('.ICEauthority',) reg), (('.ICEauthority',) reg), (('.ICEauthority',) reg)]


$ deja-dup --restore /home/dfrster

(deja-dup:2302): GLib-GObject-WARNING **: g_object_set_valist: object class `AssistantRestore' has no property named `has-separator'
** (deja-dup:2302): DEBUG: DuplicityInstance.vala:203: Running the following duplicity (2309) command: duplicity 'collection-status' '--gio' 'file:///media/ba9bab6d-3e08-4898-98bd-7cc67baa4a18/Linux%20User/dejadup' '--verbosity=9' '--archive-dir=/home/dfrster/.cache/deja-dup' '--log-file=/tmp/deja-dup-TSNOZV'

** (deja-dup:2302): DEBUG: DuplicityInstance.vala:575: duplicity (2309) exited with value 0

** (deja-dup:2302): DEBUG: DuplicityInstance.vala:203: Running the following duplicity (2313) command: duplicity 'list-current-files' '--restore-time=2011-07-23T19:05:39Z' '--gio' 'file:///media/ba9bab6d-3e08-4898-98bd-7cc67baa4a18/Linux%20User/dejadup' '--verbosity=9' '--archive-dir=/home/dfrster/.cache/deja-dup' '--log-file=/tmp/deja-dup-PRGMZV'

** (deja-dup:2302): DEBUG: DuplicityInstance.vala:575: duplicity (2313) exited with value 0

** (deja-dup:2302): DEBUG: DuplicityInstance.vala:203: Running the following duplicity (2316) command: duplicity 'restore' '--restore-time=2011-07-23T19:05:39Z' '--file-to-restore=home/dfrster' '--gio' '--force' 'file:///media/ba9bab6d-3e08-4898-98bd-7cc67baa4a18/Linux%20User/dejadup' '/home/dfrster' '--verbosity=9' '--archive-dir=/home/dfrster/.cache/deja-dup' '--log-file=/tmp/deja-dup-SQIPZV'

** (deja-dup:2302): DEBUG: DuplicityInstance.vala:575: duplicity (2316) exited with value 30

Comment 2 Fedora Update System 2011-12-26 16:03:41 UTC
duplicity-0.6.17-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/duplicity-0.6.17-1.fc16

Comment 3 Fedora Update System 2011-12-26 16:04:27 UTC
duplicity-0.6.17-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/duplicity-0.6.17-1.fc15

Comment 4 Fedora Update System 2011-12-26 16:05:20 UTC
duplicity-0.6.17-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/duplicity-0.6.17-1.el6

Comment 5 Fedora Update System 2011-12-26 16:06:27 UTC
duplicity-0.6.17-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/duplicity-0.6.17-1.el5

Comment 6 Fedora Update System 2011-12-26 16:51:37 UTC
Package duplicity-0.6.17-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing duplicity-0.6.17-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-5334/duplicity-0.6.17-1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-01-11 06:07:21 UTC
duplicity-0.6.17-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-01-11 06:16:03 UTC
duplicity-0.6.17-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2012-01-11 07:58:40 UTC
duplicity-0.6.17-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-01-11 08:01:14 UTC
duplicity-0.6.17-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.